Subject: bug#74438: 29.1; global-mark-ring does not work as described

From: Nikolay Kudryavtsev <[email-masked]>
Date: Thu, 21 Nov 2024 11:09:44 +0300

Using the mark ring for programming purposes is generally seen as a faux 
pas, see the docstrings for push-mark and set-mark, which explicitly 
warn against this.

If you still insist, then nothing is really stopping you from short 
circuiting this behavior by say doing a forward-char, set-mark, 
backward-char, set-mark again.

But I also don't understand why do you need buffer 1 mark to be at the 
front of the ring, because it's gonna reliably be as the second element 
in it anyway.